You are not logged in.

#1 2024-02-08 01:22:42

Salyut_7
Member
Registered: 2024-02-06
Posts: 2

[Solved]Cannot start RStudio. Problem with libboost_chrono.so.1.81.0

I installed RStudio from the Unofficial User Repositories, but when I launch the program it shows this message in the terminal:

rstudio: error while loading shared libraries: libboost_chrono.so.1.81.0: cannot open shared object file: No such file or directory

I must add that i have boost-libs installed, this is the pacman -Qi output:

Name            : boost-libs
Version         : 1.83.0-5
Description     : Free peer-reviewed portable C++ source libraries (runtime libraries)
Architecture    : x86_64
URL             : https://www.boost.org/
Licenses        : custom
Groups          : None
Provides        : libboost_atomic.so=1.83.0-64  libboost_chrono.so=1.83.0-64  libboost_container.so=1.83.0-64  libboost_context.so=1.83.0-64  libboost_contract.so=1.83.0-64
                  libboost_coroutine.so=1.83.0-64  libboost_date_time.so=1.83.0-64  libboost_fiber.so=1.83.0-64  libboost_filesystem.so=1.83.0-64  libboost_graph.so=1.83.0-64
                  libboost_graph_parallel.so=1.83.0-64  libboost_iostreams.so=1.83.0-64  libboost_json.so=1.83.0-64  libboost_locale.so=1.83.0-64  libboost_log.so=1.83.0-64
                  libboost_log_setup.so=1.83.0-64  libboost_math_c99.so=1.83.0-64  libboost_math_c99f.so=1.83.0-64  libboost_math_c99l.so=1.83.0-64  libboost_math_tr1.so=1.83.0-64
                  libboost_math_tr1f.so=1.83.0-64  libboost_math_tr1l.so=1.83.0-64  libboost_mpi.so=1.83.0-64  libboost_mpi_python311.so=1.83.0-64  libboost_nowide.so=1.83.0-64
                  libboost_numpy311.so=1.83.0-64  libboost_prg_exec_monitor.so=1.83.0-64  libboost_program_options.so=1.83.0-64  libboost_python311.so=1.83.0-64
                  libboost_random.so=1.83.0-64  libboost_regex.so=1.83.0-64  libboost_serialization.so=1.83.0-64  libboost_stacktrace_addr2line.so=1.83.0-64
                  libboost_stacktrace_basic.so=1.83.0-64  libboost_stacktrace_noop.so=1.83.0-64  libboost_system.so=1.83.0-64  libboost_thread.so=1.83.0-64  libboost_timer.so=1.83.0-64
                  libboost_type_erasure.so=1.83.0-64  libboost_unit_test_framework.so=1.83.0-64  libboost_url.so=1.83.0-64  libboost_wave.so=1.83.0-64
                  libboost_wserialization.so=1.83.0-64
Depends On      : bzip2  zlib  icu  zstd
Optional Deps   : openmpi: for mpi support [installed]
Required By     : rstudio-desktop  source-highlight
Optional For    : imath  soci
Conflicts With  : None
Replaces        : None
Installed Size  : 8.25 MiB
Packager        : Jakub Klinkovský <lahwaacz@archlinux.org>
Build Date      : Thu Jan 25 12:29:55 2024
Install Date    : Wed Feb 7 18:33:26 2024
Install Reason  : Installed as a dependency for another package
Install Script  : No
Validated By    : Signature

Last edited by Salyut_7 (2024-02-26 14:45:35)

Offline

#2 2024-02-08 02:48:24

Scimmia
Fellow
Registered: 2012-09-01
Posts: 11,345

Re: [Solved]Cannot start RStudio. Problem with libboost_chrono.so.1.81.0

Salyut_7 wrote:

I installed RStudio from the Unofficial User Repositories

That's not one specific thing, that's a bunch of repos run by random individuals, and can vary wildly on how well they're maintained. If it hasn't been rebuilt in over 5 months (when boost was updated to 1.83), that's a clear indication that it's pretty much dead.

Last edited by Scimmia (2024-02-08 02:53:32)

Online

#3 2024-02-08 08:57:17

WorMzy
Forum Moderator
From: Scotland
Registered: 2010-06-16
Posts: 11,683
Website

Re: [Solved]Cannot start RStudio. Problem with libboost_chrono.so.1.81.0

Mod note: moving to AUR Issues


Sakura:-
Mobo: MSI MAG X570S TORPEDO MAX // Processor: AMD Ryzen 9 5950X @4.9GHz // GFX: AMD Radeon RX 5700 XT // RAM: 32GB (4x 8GB) Corsair DDR4 (@ 3000MHz) // Storage: 1x 3TB HDD, 6x 1TB SSD, 2x 120GB SSD, 1x 275GB M2 SSD

Making lemonade from lemons since 2015.

Offline

#4 2024-02-09 00:03:39

Salyut_7
Member
Registered: 2024-02-06
Posts: 2

Re: [Solved]Cannot start RStudio. Problem with libboost_chrono.so.1.81.0

Thanks for the replies, I had installed RStudio from this repository:

[rstudio]
SigLevel = PackageOptional
Server = https://aur1.gitlab.io/$repo/$arch

I guess that Scimmia is right, the repo is outdated. I chose the rstudio-desktop-bin AUR package and it worked just fine. The program launches without any issues.

Last edited by Salyut_7 (2024-02-09 00:04:50)

Offline

#5 2024-02-09 02:25:27

Scimmia
Fellow
Registered: 2012-09-01
Posts: 11,345

Re: [Solved]Cannot start RStudio. Problem with libboost_chrono.so.1.81.0

So not just rebuilt, that package hasn't been updated in a year (ok, a few weeks short) and is multiple versions behind.

Edit: Removed the repo from the page in question. No updates for a year and completely broken for over 5 months, it's dead.

Last edited by Scimmia (2024-02-09 05:12:41)

Online

Board footer

Powered by FluxBB